Subject: Re: bug#19776: 25.0.50; HTML rendering is very slow

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Oct 2021 10:27:51 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 22 Oct 2021 16:59:55 -0700
> Cc: Richard Stallman <[email-masked]>, [email-masked]
> 
> >> then we'd be able to display a message if the code took longer than 1
> >> second.  We don't have that, do we?
> >
> > Oh, I asked this before, and the answer is "nope, not at all".
> >
> > The problem is that it can't be done with normal timers, since "all the
> > code" may be pure Elisp and never yield.  For that reason, it can't be
> > done with the new thread support, either.
> >
> > So it would require some C-level magic.
> 
> I guess we can't do this for the C-level DEFUN's (without massive
> changes), but we might be able to check some timer before executing a
> Lisp function or something.  However, wouldn't such a new check risk
> slowing Emacs down as a whole?

Did someone consider using atimers for this purpose?  See atimer.c.